Skip to main content
GET
/
api
/
notification
Lists all scheduled notification configurations for the current tenant.
curl --request GET \
  --url https://{tenant}.ekso.app/api/notification \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "name": "<string>",
    "description": "<string>",
    "active": true,
    "container": [
      "<string>"
    ],
    "interval": 123,
    "limiter": 123,
    "conditionGroup": [
      {
        "condition": [
          {
            "id": "<string>",
            "leftSide": "<string>",
            "rightSide": "<string>",
            "operator": 123
          }
        ]
      }
    ],
    "recipientUserGroup": [
      "<string>"
    ],
    "recipientEmail": [
      "<string>"
    ],
    "recipientEndpoint": "<string>",
    "recipientSlackId": "<string>",
    "recipientMsTeamsId": "<string>",
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Response

List of notification configurations.

entity
null | string
name
string
description
string
active
boolean
container
string[]
interval
limiter
conditionGroup
object[]
recipientUserGroup
string[]
recipientEmail
string[]
recipientEndpoint
string
recipientSlackId
string
recipientMsTeamsId
string
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean